پایان عمر php5.5 – این برای شما و مشتریان شما به چه معناست ؟

هاست پربازدید

طول عمر ورژن های PHP

اکثر ورژن های php محبوب استفاده شده از سمت php.net پشتیبانی نمی شوند و از۲۱ ژوئن ،php5.5 به مجموعه وژن های php که دیگر توسط انجمن پشتیبانی نمی گردد اضافه گردیده است . این به این معنی است که همچنانکه آسیب پذیری های امنیتی کشف می شوند آنها توسط php.net در ورژن php5.5 یا ورژن های قدیمی تر از آن برطرف نخواهند شد. این ۸۴% ازتمام سایت های php را تحت تاثیر قرار می دهد.

اینجا اطلاعات مفید و مختصر سریع از روی اعداد است:
Php.net محبوبترین زبان برنامه نویسی سمت سرور با ۸۲% سهم بازار است و تاکنون سریع ترین رشد را در بین رقبایی مثل ASP.net که تنها ۱۵% از سهم بازار را کسب کرده، داشته است.بر اساس آمار W3Techs.com .

هاست پر بازدید

همانطور که در تصویر بالا نشان داده شده است ، php ورژن ۵ توسط ۹۷٫۸% از تمام سایت هایی که از php استفاده می کنند و ورژن ۵٫۵ توسط ۲۰% از تمام سایت هایی که از php ورژن ۵ استفاده می کنند، به کار برده می شود.به خاطر این استفاده گسترده از نرم افزار، php به طور مداوم توسط هکرها مورد سوء استفاده قرار می گیرد که سایت ها را آسیب پذیر می سازد.
در اینجا آورده شده که پشتیبانی php.net به طور معمول چطور کار می کند- برای دو سال باگ ها و مشکلات امنیتی که گزارش شده اند عیب یابی شده و در ورژن های منظم منتشر شده اند. بعد از آن دوره دوساله ، هر ورژن php یک سال دیگر فقط برای مسائل امنیتی مهم پشتیبانی می شود.بعد از اینکه ورژن به پایان عمر خود می رسد توسط انجمن پشتیبانی نمی شود و هر آسیب پذیری که کشف می شود دیگر در آن ورژن عیب یابی نمی شود.
در حال حاضر ورژن ۵٫۰ ، ۵٫۴ و از ۲۱ژوئن ۲۰۱۶ و ورژن ۵٫۵ توسط انجمن پشتیبانی نمی شوند.این موضوع ۸۶% کل سایت های php5 و ۸۴% کل سایت های php را تحت تاثیر قرار می دهد.بنابراین اساسا اکثر سایت های php در حال حاضر توسط انجمن php پشتیبانی نمی شوند.

چگونه سایت های php 5.5 را امن کنیم؟

معمولا، ورژن های پشتیبانی نشده ی موجود یک مشکل امنیتی دارند.به این معنی که باید انتقال سایت ها از ورژن های پشتیبانی نشده انجام بگیرد. یعنی در این مورد آخر php 5.5 به ورژن های بعدی.اما معمولا وقتی یک ورژن منسوخ می شود، صاحبان وبسایت برای اطمینان از امنیت سایت خود سریعا قادر به آپدیت و عوض کردن برنامه ها به ورژن های جدیدتر نیستند.
اما مثل همیشه،تا زمانی که شما از hardenedphp استفاده می کنید که همراه cloudlinux آمده است ،سایت های مشتریان شما امن هستند.نیاز نیست که به مشتریان خود اجبار کنید که به ورژن جدید آپگرید شوند و اسکریپت های نوشته شده برای ورژن قدیمی را از نو برای ورژن جدید بنویسند. همینطور نیاز ندارید php را بر روی سرورهای خود آپگرید کنید که ریسکی برای سایت ها داشته باشد.و ما به مشتریان خود قول می دهیم وصله های امنیتی را به نسخه های قدیمی php برای آینده قابل پیش بینی بک پورت * کنیم.

با hardenedphp در سیستم عامل کلاد لینوکس ، شما می توانید ورژن های قدیمی php را امن کنید. و با php selector همچنین می توانید ورژن های مختلف بسته بندی شده php را در یک وب سرور اشتراکی به خصوص برای اطمینان از حداکثر امنیت و سوداوری ارائه کنید.

 

هاست پربازدید cpanel

هاست لینوکس آلمان

 

درباره نویسنده
RahyarServer
ارائه دهنده سرور های اختصاصی از معتبرتیرین دیتاسنتر های دنیا
enamad